### Hierarchy

- BufferedAudioPlayer

### Implements

- AudioPlayer

## Index

### Properties

- audioContext
- queue
- state
- INSTANCE

### Methods

- play
- playAudio
- instance

## Properties

### Private audioContext

audioContext: AudioContext = new AudioContext()

- Defined in lib/audio/player/BufferedAudioPlayer.ts:27

### Private queue

queue: MutableQueue<any> = new MutableQueue<any>()

- Defined in lib/audio/player/BufferedAudioPlayer.ts:26

### Private state

state: State = State.READY

- Defined in lib/audio/player/BufferedAudioPlayer.ts:28

### Static Private INSTANCE

INSTANCE: BufferedAudioPlayer

- Defined in lib/audio/player/BufferedAudioPlayer.ts:24

## Methods

### play

- play(message: any): void

- Implementation of AudioPlayer.play

  - Defined in lib/audio/player/BufferedAudioPlayer.ts:35

  #### Parameters

  - ##### message: any

  #### Returns void

### Private playAudio

- playAudio(): void

- - Defined in lib/audio/player/BufferedAudioPlayer.ts:40

  #### Returns void

### Static instance

- instance(): AudioPlayer

- - Defined in lib/audio/player/BufferedAudioPlayer.ts:20

  #### Returns AudioPlayer

Generated using TypeDoc